org.keycloak.services.resources

## Class RealmsResource

- java.lang.Object
- - org.keycloak.services.resources.RealmsResource

-     @Path(value="/realms")
      public class RealmsResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected BruteForceProtector` | `protector`
    `protected ProviderSession` | `providers`
    `protected KeycloakSession` | `session`
    `protected SocialRequestManager` | `socialRequestManager`
    `protected TokenManager` | `tokenManager`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmsResource(TokenManager tokenManager, SocialRequestManager socialRequestManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.ws.rs.core.UriBuilder` | `accountUrl(javax.ws.rs.core.UriBuilder base)`
    `AccountService` | `getAccountService(String name)`
    `String` | `getLoginStatusIframe(String name, String client_id, String origin)`
    `PublicRealmResource` | `getRealmResource(String name)`
    `TokenService` | `getTokenService(String name)`
    `protected RealmModel` | `locateRealm(String name, RealmManager realmManager)`
    `static javax.ws.rs.core.UriBuilder` | `realmBaseUrl(javax.ws.rs.core.UriBuilder base)`
    `static javax.ws.rs.core.UriBuilder` | `realmBaseUrl(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static org.jboss.logging.Logger logger

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### session

          @Context
          protected KeycloakSession session

    - #### providers

          @Context
          protected ProviderSession providers

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

    - #### protector

          @Context
          protected BruteForceProtector protector

    - #### tokenManager

          protected TokenManager tokenManager

    - #### socialRequestManager

          protected SocialRequestManager socialRequestManager

  - ### Constructor Detail

    - #### RealmsResource

          public RealmsResource(TokenManager tokenManager,
                        SocialRequestManager socialRequestManager)

  - ### Method Detail

    - #### realmBaseUrl

          public static javax.ws.rs.core.UriBuilder realmBaseUrl(javax.ws.rs.core.UriInfo uriInfo)

    - #### realmBaseUrl

          public static javax.ws.rs.core.UriBuilder realmBaseUrl(javax.ws.rs.core.UriBuilder base)

    - #### accountUrl

          public static javax.ws.rs.core.UriBuilder accountUrl(javax.ws.rs.core.UriBuilder base)

    - #### getLoginStatusIframe

          @Path(value="{realm}/login-status-iframe.html")
          @GET
          @Produces(value="text/html")
          public String getLoginStatusIframe(@PathParam(value="realm")
                                                      String name,
                                                      @QueryParam(value="client_id")
                                                      String client_id,
                                                      @QueryParam(value="origin")
                                                      String origin)

      Parameters:
        `name` -
        `client_id` -
      Returns:

    - #### getTokenService

          @Path(value="{realm}/tokens")
          public TokenService getTokenService(@PathParam(value="realm")
                                          String name)

    - #### locateRealm

          protected RealmModel locateRealm(String name,
                               RealmManager realmManager)

    - #### getAccountService

          @Path(value="{realm}/account")
          public AccountService getAccountService(@PathParam(value="realm")
                                              String name)

    - #### getRealmResource

          @Path(value="{realm}")
          public PublicRealmResource getRealmResource(@PathParam(value="realm")
                                                  String name)

Copyright © 2014. All Rights Reserved.